//	Image Noise Removal Filter
//	Copyright (C) 2002 Karlis Freivalds
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------

class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TMainMenu *MainMenu1;
    TMenuItem *Open1;
    TMenuItem *Save1;
    TMenuItem *Denoise1;
    TOpenDialog *OpenDialog1;
    TSaveDialog *SaveDialog1;
    TMenuItem *View1;
    TMenuItem *Image1;
    TMenuItem *Luma1;
    TMenuItem *Removednoise1;
    TMenuItem *Undo1;
    TMenuItem *Cr1;
    TMenuItem *Cb1;
    TMenuItem *About1;
    TMenuItem *Filter1;
    TMenuItem *Median1;
    TMenuItem *Strongmedian1;
    void __fastcall FormPaint(TObject *Sender);
    void __fastcall Open1Click(TObject *Sender);
    void __fastcall Save1Click(TObject *Sender);
    void __fastcall Denoise1Click(TObject *Sender);
    void __fastcall Image1Click(TObject *Sender);
    void __fastcall Luma1Click(TObject *Sender);
    void __fastcall Chroma1Click(TObject *Sender);
    void __fastcall Removednoise1Click(TObject *Sender);
    void __fastcall Undo1Click(TObject *Sender);
    void __fastcall Cr1Click(TObject *Sender);
    void __fastcall Cb1Click(TObject *Sender);
    void __fastcall About1Click(TObject *Sender);
    void __fastcall Median1Click(TObject *Sender);
    void __fastcall Strongmedian1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
 